ClusterSessionListener (Tomcat API Documentation)
Keywords: org.apache.catalina.ha.session.ClusterSessionListener class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.session
Class ClusterSessionListener

    java.lang.Object
      org.apache.catalina.ha.ClusterListener
          org.apache.catalina.ha.session.ClusterSessionListener

All Implemented Interfaces:
  ChannelListener

    public class ClusterSessionListener

extends ClusterListener

Receive replicated SessionMessage form other cluster node.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Filip Hanik, Peter Rossbach

Field Summary
`protected static java.lang.String` | `info` The descriptive information about this implementation.

Fields inherited from class org.apache.catalina.ha.ClusterListener
`cluster, log, sm`

Constructor Summary
`ClusterSessionListener()`

Method Summary
`boolean` | `accept(ClusterMessage msg)` Accept only SessionMessage
`java.lang.String` | `getInfo()` Return descriptive information about this implementation.
`void` | `messageReceived(ClusterMessage myobj)` Callback from the cluster, when a message is received, The cluster will broadcast it invoking the messageReceived on the receiver.

Methods inherited from class org.apache.catalina.ha.ClusterListener
`accept, equals, getCluster, hashCode, messageReceived, setCluster`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    protected static final java.lang.String info

  The descriptive information about this implementation.

  See Also:
    Constant Field Values

Constructor Detail

### ClusterSessionListener

    public ClusterSessionListener()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this implementation.

### messageReceived

    public void messageReceived(ClusterMessage myobj)

  Callback from the cluster, when a message is received, The cluster will broadcast it invoking the messageReceived on the receiver.

  Specified by:
    `messageReceived` in class `ClusterListener`
  Parameters:
    `myobj` - ClusterMessage - the message received from the cluster

### accept

    public boolean accept(ClusterMessage msg)

  Accept only SessionMessage

  Specified by:
    `accept` in class `ClusterListener`
  Parameters:
    `msg` - ClusterMessage
  Returns:
    boolean - returns true to indicate that messageReceived should be invoked. If false is returned, the messageReceived method will not be invoked.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.